package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者获得奖品名细 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterAwardDao;
import com.heyu.api.data.entity.vv.VvPromoterAwardEntity;
import com.heyu.api.data.service.vv.VvPromoterAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterAwardServiceImpl extends ServiceImpl<VvPromoterAwardDao, VvPromoterAwardEntity> implements VvPromoterAwardService {


    @Autowired
	private VvPromoterAwardDao vvPromoterAwardDao;



	@Override
	public VvPromoterAwardEntity selectVvPromoterAwardById(Long id){
		return vvPromoterAwardDao.selectVvPromoterAwardById(id);
	}



	@Override
	public Long insertVvPromoterAward(VvPromoterAwardEntity vvPromoterAward){
		return vvPromoterAwardDao.insertVvPromoterAward(vvPromoterAward);
	}



	@Override
	public Long insertOrUpdateVvPromoterAward(VvPromoterAwardEntity vvPromoterAward){
		return vvPromoterAwardDao.insertOrUpdateVvPromoterAward(vvPromoterAward);
	}



	@Override
	public int updateVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward){
		return vvPromoterAwardDao.updateVvPromoterAwardById(vvPromoterAward);
	}



	@Override
	public int updateCoverVvPromoterAwardById(VvPromoterAwardEntity vvPromoterAward){
		return vvPromoterAwardDao.updateCoverVvPromoterAwardById(vvPromoterAward);
	}



	@Override
	public int deleteVvPromoterAwardById(Long id){
		return vvPromoterAwardDao.deleteVvPromoterAwardById(id);
	}



}
